version: "3.5"

services:
  tester:
    container_name: tester
    image: golang:1.14.4
    working_dir: /tmp/goshimmer/tools/integration-tests/tester
    entrypoint: go test ./tests/${TEST_NAME} -v -mod=readonly -timeout 30m
    volumes:
      - /var/run/docker.sock:/var/run/docker.sock:ro
      - ../../..:/tmp/goshimmer:ro
      - ../logs:/tmp/logs
      - goshimmer-testing-cache:/go

volumes:
  goshimmer-testing-cache:
    name: goshimmer-testing-cache
